petsc-3.7.1 2016-05-15
Report Typos and Errors

# DMDASetSizes

Sets the global sizes

### Synopsis

    #include "petscdmda.h"
    PetscErrorCode  DMDASetSizes(DM da, PetscInt M, PetscInt N, PetscInt P)

Logically Collective on DMDA Many br

### Input Parameters

| da | - the DMDA Many br
| M | - the global X size (or PETSC_DECIDE) Many br
| N | - the global Y size (or PETSC_DECIDE) Many br
| P | - the global Z size (or PETSC_DECIDE) Many br

Many br

### See Also

DMDAGetSize(), PetscSplitOwnership()

Level:intermediate
Location:src/dm/impls/da/da.c
Index of all DM routines
Table of Contents for all manual pages
Index of all manual pages